Boomi Platform API Reference (1.0.0) - OFTP2ConnectorRecord
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
OFTP2 Connector Records correspond to the document and trading partner details of the Process Reporting page. Processes send OFTP2 messages using the OFTP2 Client connector and receive OFTP2 messages using the OFTP2 Server connector. The OFTP2 Connector Record object contains OFTP2-specific document information and user-defined tracked field informtaion along with other fields.
Queries for an OFTP2ConnectorRecord object
- To filter by customFields, use the format
customFields/fieldNameas the filter property, wherefieldNameis the element name of the custom field in the OFTP2 Connector Record structure. To get a list of the available custom fields, refer to the CustomTrackedField. - The STARTS_WITH operator accepts values that do not include spaces.
- Sorting of the QUERY results are by the dateProcessed field value, from the oldest to the newest.
For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.
Authorizations:
Request Body schema: optional
required | object | ||||||||||
| |||||||||||
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (OFTP2ConnectorRecord) |
Request samples
- Payload
{- "QueryFilter": {
- "expression": {
- "argument": [
- "string"
], - "operator": "EQUALS",
- "property": "sfiddsn"
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "QueryResult",
- "result": [
- {
- "@type": "OFTP2ConnectorRecord",
- "sfiddsn": "SHARED",
- "sfiddate": "2023-06-07",
- "sfidtime": "10:06:46.2389",
- "sfiddest": "O0166SHAREDSERVER",
- "ssidcode": "O01BOOMI",
- "status": "success",
- "account": "boomi-internal",
- "executionId": "execution-003c07c1-969f-4331-96d3-d7af1ca6e1f7-2023.06.07",
- "atomId": "92c4bf82-af93-4607-83d8-10a6c7fc7169",
- "dateProcessed": "2023-06-07T14:09:40Z",
- "id": "connector-1ccb87c7-13f7-41f2-be3b-93778837f641",
- "actionType": "Listen",
- "connectorType": "oftpserver",
- "connectorName": "oftpserver Connector",
- "operationName": "OFTP Server Connector Operation",
- "documentIndex": 1,
- "successful": true,
- "size": [
- "Long",
- 6
]
}
], - "numberOfResults": 1
}Retrieves additional results for an OFTP2ConnectorRecord query
To learn about using queryMore, refer to the topic Query paging.
Authorizations:
Request Body schema: text/plainrequired
Query token from the previous query response used to retrieve the next page of results.
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (OFTP2ConnectorRecord) |
Request samples
- Payload
/nd0PlROcmuUK8MV8KPzCVXwA/pgZZ0NfsYjhqLNyothPzrFIh0OQLP6Hq3ERMSAl38Dz3NV5otJ/0+a....
Response samples
- 200
- 403
- 410
- 503
{- "@type": "QueryResult",
- "result": [
- {
- "@type": "OFTP2ConnectorRecord",
- "sfiddsn": "SHARED",
- "sfiddate": "2023-06-07",
- "sfidtime": "10:06:46.2389",
- "sfiddest": "O0166SHAREDSERVER",
- "ssidcode": "O01BOOMI",
- "status": "success",
- "account": "boomi-internal",
- "executionId": "execution-003c07c1-969f-4331-96d3-d7af1ca6e1f7-2023.06.07",
- "atomId": "92c4bf82-af93-4607-83d8-10a6c7fc7169",
- "dateProcessed": "2023-06-07T14:09:40Z",
- "id": "connector-1ccb87c7-13f7-41f2-be3b-93778837f641",
- "actionType": "Listen",
- "connectorType": "oftpserver",
- "connectorName": "oftpserver Connector",
- "operationName": "OFTP Server Connector Operation",
- "documentIndex": 1,
- "successful": true,
- "size": [
- "Long",
- 6
]
}
], - "numberOfResults": 1
}